/**
 * The details of the order edit request.
 */
export interface BeginorderEditWorkflowInput {
    /**
     * The ID of the order to request an edit for.
     */
    order_id: string;
    /**
     * The ID of the user requesting the order edit.
     *
     * @example
     * "user_123"
     */
    created_by?: string;
    /**
     * A note viewed by admins only related to the order edit.
     */
    internal_note?: string;
    /**
     * Describes the reason for the order edit.
     */
    description?: string;
    /**
     * Custom key-value pairs of data to store in the order edit.
     */
    metadata?: Record<string, unknown> | null;
}
//# sourceMappingURL=begin-order-edit.d.ts.map